Hareket kuralını arşivle
curl --request DELETE \
--url https://api.tahsil.dev/banks/transaction-rules/{id} \
--header 'Authorization: Bearer <token>' \
--header 'x-company-id: <x-company-id>'const options = {
method: 'DELETE',
headers: {'x-company-id': '<x-company-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.tahsil.dev/banks/transaction-rules/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tahsil.dev/banks/transaction-rules/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-company-id: <x-company-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"status": true,
"result": {
"id": "<string>",
"companies": "<string>",
"name": "<string>",
"version": 2,
"conditions": {
"children": [
{
"value": "<unknown>"
}
]
},
"actions": [
{
"type": "<unknown>",
"reference": {
"source": "<string>",
"entityType": "<string>",
"externalId": "<string>",
"label": "<string>"
},
"id": "<string>"
}
],
"referenceKey": "<string>",
"description": "<string>",
"snapshotHash": "<string>",
"effectiveFrom": "2023-11-07T05:31:56Z",
"targetSource": "<string>",
"targetEntityType": "<string>",
"targetExternalId": "<string>",
"tags": [
"<string>"
],
"archivedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updatedBy": "<string>"
}
}{
"status": false,
"code": "TRANSACTION_AMOUNT_RANGE_INVALID",
"message": "minAmount, maxAmount değerinden büyük olamaz."
}Hareket kuralını arşivle
DELETE
/
banks
/
transaction-rules
/
{id}
Hareket kuralını arşivle
Yetkilendirmeler
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Başlıklar
Yazma işleminin hedef firma kimliği.
Yol Parametreleri
Sorgu Parametreleri
Gerekli aralık:
x >= 1Bu sayfa yararlı mıydı?
⌘I